local Rx = require 'Rx'
local Observable = Rx.Observable
local SchedulerArgument = Rx.internals.SchedulerArgument

--------------------------------------------------------------------------------

return function(period, scheduler)

    scheduler = SchedulerArgument.validateWithoutDefault('Rx.Observable.interval', scheduler)

    return Observable.timer(period, period, scheduler)

end
